Skip to content

getByIdFamily

Request

Path
idinteger, (int32)required
GET
/api/v1/family/{id}
curl -i -X GET \
  'https://api.prana.software/api/v1/family/{id}'

Responses

OK

Bodyapplication/json
idinteger, (int32)required

Unique identifier of the object

Default:""
descriptionstring

Description of the family.

Default:""
Example:"Footwear"
parentobject(ApiFamilyListReadDto)

Parent family details. Null if this is a root family.

Default:""
subfamiliesArray of objects(ApiFamilyListReadDto)

List of direct subfamilies.

Default:""
familyTypestring(ApiFamilyTypeEnum)

Type of the family: FAMILY or SUBFAMILY.

Default:""
Enum:"FAMILY""SUBFAMILY"
Example:"FAMILY"
Response
// No response example